Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.configurator.impl
Class SurvivorHelperConfig.StrategyConfig

    java.lang.Object
      com.sun.mdm.index.configurator.impl.SurvivorHelperConfig.StrategyConfig

Enclosing class:
  SurvivorHelperConfig

public class SurvivorHelperConfig.StrategyConfig
extends java.lang.Object

Strategy configuration class

Field Summary
`(package private) java.util.Collection` | `initParameters` initialization parameters
`(package private) java.lang.String` | `strategyClassName` strategy class name

Constructor Summary
`SurvivorHelperConfig.StrategyConfig()` default constructor
`SurvivorHelperConfig.StrategyConfig(java.lang.String s, java.util.Collection c)` Constructor.

Method Summary
`java.util.Collection` | `getInitParameters()` Return initialization parameters.
`java.lang.String` | `getStrategyClassName()` Return strategy class name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### initParameters

    java.util.Collection initParameters

  initialization parameters

### strategyClassName

    java.lang.String strategyClassName

  strategy class name

Constructor Detail

### SurvivorHelperConfig.StrategyConfig

    public SurvivorHelperConfig.StrategyConfig()

  default constructor

### SurvivorHelperConfig.StrategyConfig

    public SurvivorHelperConfig.StrategyConfig(java.lang.String s,
                                               java.util.Collection c)

  Constructor.

  Parameters:
    `s` - Strategy class name.
    `c` - Initialization parameters.

Method Detail

### getInitParameters

    public java.util.Collection getInitParameters()

  Return initialization parameters.

  Returns:
    initialization parameters.

### getStrategyClassName

    public java.lang.String getStrategyClassName()

  Return strategy class name.

  Returns:
    return strategy class name.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.